Bug 1228204 (CVE-2015-4167) - CVE-2015-4167 Kernel: fs: udf: Check length of extended attributes to avoid oops
Summary: CVE-2015-4167 Kernel: fs: udf: Check length of extended attributes to avoid oops
Status: CLOSED WONTFIX
Alias: CVE-2015-4167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150107,repor...
Keywords: Security
Depends On:
Blocks: 1211911
TreeView+ depends on / blocked
 
Reported: 2015-06-04 12:02 UTC by Prasad J Pandit
Modified: 2019-06-11 11:13 UTC (History)
29 users (show)

(edit)
An inode data validation error was found in Linux kernels built with UDF file system (CONFIG_UDF_FS) support. An attacker able to mount a corrupted/malicious UDF file system image could cause the kernel to crash.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:41:30 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2015-06-04 12:02:12 UTC
Linux kernel built with the UDF file system(CONFIG_UDF_FS) support is
vulnerable to a crash. It could occur while fetching inode information from a
corrupted/malicious udf file system image.

An unprivileged user could use this flaw to crash the kernel resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/23b133bdc452aa441fcb9b82cbf6dd05cfd342d0

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/06/03/13

Comment 1 Prasad J Pandit 2015-06-04 16:33:13 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 2 Prasad J Pandit 2015-06-04 16:33:47 UTC
This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Prasad J Pandit 2015-06-05 05:18:26 UTC
Acknowledgement:

Red Hat would like to thank Carl H Lunde for reporting this issue.

Comment 4 Wade Mealing 2015-07-24 00:05:18 UTC
Mitigation:

The UDF filesystem is enabled via loading the UDF kernel module.  The kernel module can be prevented from loading via blacklisting see https://access.redhat.com/solutions/41278 for more information.


Note You need to log in before you can comment on or make changes to this bug.